//
//  CowViewController.m
//  MinimalProject
//
//  Created by Jeffrey Ondich on 4/18/14.
//  Copyright (c) 2014 Jeff Ondich. All rights reserved.
//

#import "CowViewController.h"
#import "AnimalNoiseViewController.h"

@interface CowViewController ()

@end

@implementation CowViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor purpleColor];
    
    CGRect cowButtonFrame = self.view.bounds;
    cowButtonFrame.size.width =  cowButtonFrame.size.width / 2;
    cowButtonFrame.size.height = 40;
    cowButtonFrame.origin.x = self.view.bounds.size.width / 4;
    cowButtonFrame.origin.y = self.view.bounds.size.height / 2;
    UIButton *button = [[UIButton alloc] initWithFrame:cowButtonFrame];
    button.backgroundColor = [UIColor orangeColor];
    [button setTitle:@"Cow" forState:UIControlStateNormal];
    [button setTitleColor:[UIColor whiteColor] forState:UIControlStateNormal];
    [button setTitleColor:[UIColor grayColor] forState:UIControlStateHighlighted];
    
    [button addTarget:self action:@selector(cowButtonHandler) forControlEvents:UIControlEventTouchUpInside];
    
    [self.view addSubview:button];
    
    // Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)cowButtonHandler
{
    NSLog(@"Cow button pressed");
    AnimalNoiseViewController *animalVC = [[AnimalNoiseViewController alloc] initWithAnimal:@"cow" andNoise:@"mooooooo"];
    [self.navigationController pushViewController:animalVC animated:YES];
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
