//
//  AnimalNoiseViewController.m
//  MinimalProject
//
//  Created by Jeffrey Ondich on 4/18/14.
//  Copyright (c) 2014 Jeff Ondich. All rights reserved.
//

#import "AnimalNoiseViewController.h"

@interface AnimalNoiseViewController ()

@end

@implementation AnimalNoiseViewController

- (id)initWithAnimal:(NSString *)animal andNoise:(NSString *)noise;
{
    self = [super initWithNibName:nil bundle:nil];
    if (self) {
        self.animal = animal;
        self.noise = noise;
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];

    CGRect labelFrame = self.view.bounds;
    labelFrame.size.width =  labelFrame.size.width / 2;
    labelFrame.size.height = 40;
    labelFrame.origin.x = self.view.bounds.size.width / 4;
    labelFrame.origin.y = self.view.bounds.size.height / 2;
    UILabel *label = [[UILabel alloc] initWithFrame:labelFrame];
    label.text = [NSString stringWithFormat:@"The %@ says %@", self.animal, self.noise];
    label.textColor = [UIColor yellowColor];
    
    [self.view addSubview:label];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
